Announcement

Collapse
No announcement yet.

AMD64 1.0.24-5 is broken

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • abcd567
    replied
    Originally posted by voidic View Post

    Hey thanks a lot! Im up and running again.
    Glad to know you are running again.

    The STEP 3 of 3 in the github page I have linked in my last post installs Planefinder feeder on archlinux. If you are interested to feed Planefinder also, you can run that script. The planefinder script does exactly same for pfclient as I have described above for script for fr24feed.

    Leave a comment:


  • voidic
    replied
    Originally posted by abcd567 View Post

    Yes, version 1.0.24-5_amd64 is broken (fails both with and without mlat -segmentation fault)

    However the versions 1.0.24-5_i386 and 1.0.18-5_amd64 work ok with archlinux amd64, and can be installed alongwith config and systemd startup file by following bash scripts:

    Code:
    ## Option 1: fr24feed_1.0.24-5_i386
    sudo pacman -S --needed wget
    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/Archlinux-adsb/master/ArchLinux-install-fr24feed_1.0.24-5_i386.sh)"
    
    ## Option 2: fr24feed_1.0.18-5_amd64
    sudo pacman -S --needed wget
    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/Archlinux-adsb/master/ArchLinux-install-fr24feed_1.0.18-5_amd64.sh)"

    For detailed instructions please see "STEP 2 of 3: Install FlightRadar24 feeder" in following page:

    https://github.com/abcd567a/Archlinu...ster/README.md

    What above scripts do?
    (1) Creates folder "/usr/share/fr24"
    (2) Downloads fr24feed binary tarball into above folder.
    (3) Extracts fr24feed binary in above folder
    (4) Copies fr24feed binary to folder "/usr/bin/"
    (5) Creates config file "/etc/fr24feed.ini" with settings receiver="beast-tcp", host="127.0.0.1:30005", mlat="no", fr24key="".
    (6) Creates systemd service file "/usr/lib/systemd/system/fr24feed.service"
    (7) Enables fr24feed.service so that it starts at boot, and all systemd commands to start stop restart and status are available.
    Hey thanks a lot! Im up and running again.

    Leave a comment:


  • abcd567
    replied
    Originally posted by voidic View Post
    I have the same problem, i modified the binary to make the command "-i" instead but its still segfault, so i dont think it has anything to do with that...

    Support staff suggested disabling MLAT but still SEGV...
    ... ... ...
    ... ... ...
    2020-01-18 00:22:44 | [main][i]Running on: arch
    Yes, version 1.0.24-5_amd64 is broken (fails both with and without mlat -segmentation fault)

    However the versions 1.0.24-5_i386 and 1.0.18-5_amd64 work ok with archlinux amd64, and can be installed alongwith config and systemd startup file by following bash scripts:

    Code:
    ## Option 1: fr24feed_1.0.24-5_i386
    sudo pacman -S --needed wget
    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/Archlinux-adsb/master/ArchLinux-install-fr24feed_1.0.24-5_i386.sh)"
    
    ## Option 2: fr24feed_1.0.18-5_amd64
    sudo pacman -S --needed wget
    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/Archlinux-adsb/master/ArchLinux-install-fr24feed_1.0.18-5_amd64.sh)"

    For detailed instructions please see "STEP 2 of 3: Install FlightRadar24 feeder" in following page:

    https://github.com/abcd567a/Archlinu...ster/README.md

    What above scripts do?
    (1) Creates folder "/usr/share/fr24"
    (2) Downloads fr24feed binary tarball into above folder.
    (3) Extracts fr24feed binary in above folder
    (4) Copies fr24feed binary to folder "/usr/bin/"
    (5) Creates config file "/etc/fr24feed.ini" with settings receiver="beast-tcp", host="127.0.0.1:30005", mlat="no", fr24key="".
    (6) Creates systemd service file "/usr/lib/systemd/system/fr24feed.service"
    (7) Enables fr24feed.service so that it starts at boot, and all systemd commands to start stop restart and status are available.

    Leave a comment:


  • voidic
    replied
    I have the same problem, i modified the binary to make the command "-i" instead but its still segfault, so i dont think it has anything to do with that...

    Support staff suggested disabling MLAT but still SEGV...

    Code:
    [root@NUCARCH fr24feed_amd64]# ./fr24feed_x
    error | Local time: 2020-01-18 00:22:44 +0800
    error | GMT+0 time: 2020-01-17 16:22:44 +0800
    error | Your machine should be set as GMT+0 time zone!
    warning | Time zone is not set to GMT+0
    2020-01-18 00:22:44 | ______ _ _ _ _ _ _____ ___
    2020-01-18 00:22:44 | | ___|| |(_) | | | | | | / __ \ / |
    2020-01-18 00:22:44 | | |_ | | _ __ _ | |__ | |_ _ __ __ _ __| | __ _ _ __`' / /' / /| |
    2020-01-18 00:22:44 | | _| | || | / _` || '_ \ | __|| '__|/ _` | / _` | / _` || '__| / / / /_| |
    2020-01-18 00:22:44 | | | | || || (_| || | | || |_ | | | (_| || (_| || (_| || | ./ /___\___ |
    2020-01-18 00:22:44 | \_| |_||_| \__, ||_| |_| \__||_| \__,_| \__,_| \__,_||_| \_____/ |_/
    2020-01-18 00:22:44 | __/ |
    2020-01-18 00:22:44 | |___/
    2020-01-18 00:22:44 | [main][i]FR24 Feeder/Decoder
    2020-01-18 00:22:44 | [main][i]Version: 1.0.24-5/generic
    2020-01-18 00:22:44 | [main][i]Built on Oct 30 2019 07:23:36 (static-i386_amd64-builds-and-macos-dump1090-update-c308dae.git/Linux/amd64)
    2020-01-18 00:22:44 | [main][i]Running on: arch
    2020-01-18 00:22:44 | [main][i]Local IP(s): 192.168.2.46
    2020-01-18 00:22:44 | [main][i]Copyright 2012-2019 Flightradar24 AB
    2020-01-18 00:22:44 | [main][i]https://www.flightradar24.com
    Segmentation fault (core dumped)

    Leave a comment:


  • wiedehopf
    replied
    In regards to FR24, i would surprised if they actually fix the amd64 version.
    Before this updated it hadn't been updated for 2 years or something?
    All that while the arm version was updated a few times.

    Leave a comment:


  • Oblivian
    replied
    Thread reverted to likely state had community not engaged.

    Leave a comment:


  • hotaru
    replied
    I created an account here to report a bug and hopefully get it fixed, and the result has been to see this thread devolve into a flood of spam and conversations about other unrelated bugs with no progress or even meaningful discussion about the bug I reported. I guess the only real solution is to just stop using fr24 altogether and use something else that actually works and has developers who care about fixing bugs.

    Leave a comment:


  • hotaru
    replied
    Originally posted by Saturnus
    Maybe you need one of those. (Nano, tar and wget I installed in order to get fr24feed.)
    all of those were already installed.

    Leave a comment:


  • wiedehopf
    replied
    Just in case the dev working on it is reading this, some valgrind output:
    Code:
    ==10406== Process terminating with default action of signal 11 (SIGSEGV)
    ==10406==  Access not within mapped region at address 0x63
    ==10406==    at 0x5D5A301: internal_getent (files-XXX.c:173)
    ==10406==    by 0x5D5B4D6: _nss_files_gethostbyname3_r (files-hosts.c:352)
    ==10406==    by 0x5D5B5FD: _nss_files_gethostbyname_r (files-hosts.c:380)
    It's quite clear they have tailored this program very much on the RPi without regard for compatibility.
    I guess that's why they didn't publish a current amd64 version.

    Leave a comment:


  • hotaru
    replied
    Originally posted by Saturnus View Post
    I am pretty sure this is the problem: Your shell seems to be "zsh". FR24Feed requires "bash", or at least parts of bash, and those might be missing in zsh. Earlier versions of FR24Feed, did not require bash but glibc. Thus, try to install bash.
    nope, it does the same thing with bash.

    Leave a comment:


  • Saturnus
    replied
    Hostname thing at least was not a problem prior to this version. I solved it anyways by making /bin/hostname a script that returns the IP address. Obviously this breaks the hostname command for most other things, but this was no problem for me as I run all ADS-B stuff in Docker containers. (Each container kinda is a "mini Linux" of a few MBs, also makes it easy to downgrade.)

    I am pretty sure this is the problem: Your shell seems to be "zsh". FR24Feed requires "bash", or at least parts of bash, and those might be missing in zsh. Earlier versions of FR24Feed, did not require bash but glibc. Thus, try to install bash.

    Leave a comment:


  • wiedehopf
    replied
    Spot on Oblivian!

    AMD64 version seems to not like arch, could very well imagine it's segfaulting because hostname -I isn't working to find the IP addresses.

    Sonic: Your problem is with RPi Monitor, not FR24feed.
    sudo rm /etc/apt/sources.list.d/piaware-stretch-testing.list

    This will remove the piaware repository related errors, you don't need those package sources as they don't supply packages for x86.
    In /etc/apt/sources.list.d/ there might also be a file for rpi monitor, remove that to get rid of that error.

    Leave a comment:


  • Oblivian
    replied
    Originally posted by hotaru View Post
    yes.



    same thing:
    Code:
    error | Local time: 2019-11-06 18:15:17 -0500
    error | GMT+0 time: 2019-11-06 23:15:17 -0500
    error | Your machine should be set as GMT+0 time zone!
    warning | Time zone is not set to GMT+0
    /dev/shm/decoder.txt: Permission denied
    [main][e]Could not create monitor file!
    ______  _  _         _      _                    _              _____    ___
    |  ___|| |(_)       | |    | |                  | |            / __  \  /   |
    | |_   | | _   __ _ | |__  | |_  _ __  __ _   __| |  __ _  _ __`' / /' / /| |
    |  _|  | || | / _` || '_ \ | __|| '__|/ _` | / _` | / _` || '__| / /  / /_| |
    | |    | || || (_| || | | || |_ | |  | (_| || (_| || (_| || |  ./ /___\___  |
    \_|    |_||_| \__, ||_| |_| \__||_|   \__,_| \__,_| \__,_||_|  \_____/    |_/
                   __/ |
                  |___/
    [main][i]FR24 Feeder/Decoder
    [main][i]Version: 1.0.24-5/generic
    [main][i]Built on Oct 30 2019 07:23:36 (static-i386_amd64-builds-and-macos-dump1090-update-c308dae.git/Linux/amd64)
    [main][i]Running on: arch
    hostname: invalid option -- 'I'
    Try 'hostname --help' or 'hostname --usage' for more information.
    [main][i]Local IP(s):
    [main][i]Copyright 2012-2019 Flightradar24 AB
    [main][i]https://www.flightradar24.com
    zsh: segmentation fault  sudo fr24feed --signup
    I don't have much of an answer other than flushing all related fr24feed package files and starting again. (and ensuring sudo elevation used)
    Both your examples reference permission faults, And there was all sorts of permission errors similar with the rpi version going from that old 18-x to above

    A clean install of the package would ensure all the files have right permission and fr24 system acct created etc.

    It's also failing to run the 'get local IP script' - hence the hostname messages. Appears ARCH, can't handle it
    https://github.com/sorki/advanced-sh...tory/issues/12

    Leave a comment:


  • hotaru
    replied
    Originally posted by Oblivian View Post
    AMD64 I assume?
    yes.

    Originally posted by Oblivian View Post
    The jump in version likely has a conflict with new config details added in later versions

    fr24feed --signup
    same thing:
    Code:
    error | Local time: 2019-11-06 18:15:17 -0500
    error | GMT+0 time: 2019-11-06 23:15:17 -0500
    error | Your machine should be set as GMT+0 time zone!
    warning | Time zone is not set to GMT+0
    /dev/shm/decoder.txt: Permission denied
    [main][e]Could not create monitor file!
    ______  _  _         _      _                    _              _____    ___
    |  ___|| |(_)       | |    | |                  | |            / __  \  /   |
    | |_   | | _   __ _ | |__  | |_  _ __  __ _   __| |  __ _  _ __`' / /' / /| |
    |  _|  | || | / _` || '_ \ | __|| '__|/ _` | / _` | / _` || '__| / /  / /_| |
    | |    | || || (_| || | | || |_ | |  | (_| || (_| || (_| || |  ./ /___\___  |
    \_|    |_||_| \__, ||_| |_| \__||_|   \__,_| \__,_| \__,_||_|  \_____/    |_/
                   __/ |
                  |___/
    [main][i]FR24 Feeder/Decoder
    [main][i]Version: 1.0.24-5/generic
    [main][i]Built on Oct 30 2019 07:23:36 (static-i386_amd64-builds-and-macos-dump1090-update-c308dae.git/Linux/amd64)
    [main][i]Running on: arch
    hostname: invalid option -- 'I'
    Try 'hostname --help' or 'hostname --usage' for more information.
    [main][i]Local IP(s):
    [main][i]Copyright 2012-2019 Flightradar24 AB
    [main][i]https://www.flightradar24.com
    zsh: segmentation fault  sudo fr24feed --signup

    Leave a comment:


  • Oblivian
    replied
    AMD64 I assume?

    The jump in version likely has a conflict with new config details added in later versions

    fr24feed --signup

    again

    Also other issue already reported

    https://forum.flightradar24.com/thre...-5-AMD64-error
    Last edited by Oblivian; 2019-11-06, 22:56.

    Leave a comment:

Working...
X